/* Handle the DIV for the menus, usually at the top of the screen */

div.menu {
  width:100%;
  font-size:0.85em;
  position:relative;
  top:0;
  left:0;
  display:block;
  height:1.5em;
/*  position:absolute; */
/*  z-index:100; */
  background-color:#e0e0ef;
/*  border: 1px red solid; */
/*  background-color: #c7d0d9;
  border: thin outset #b0b0e0; */
  z-index: 100;
}

/* remove all the bullets, borders and padding from the default list styling */
.menu ul {
  width:100%;
  padding:0;
  margin:0;
  list-style-type:none;
  display:block;
  height:1.4em;
  position: fixed;
  top: 0px;
  background-color: #c7d0d9;
  border-bottom: thin outset #b0b0e0;
}

/* float the list to make it horizontal and a relative positon so that you can control the dropdown menu positon */
.menu li {
  float:left;
  position:relative;
  padding:0;
  display: inline;
}

/* style the links for the top level */
.menu a, .menu a:visited {
  display:block;
  font-weight: bold;
  font-family: sans-serif;
  text-decoration:none;
  color:navy;
  height:1.2em;
  vertical-align:middle;
  border:0 solid #fff;
  background-color:#f0f0ff;
  border-width:0;
  padding: 0.1em 1em;
  margin: 0;
  line-height:100%;
/*  border: 1px green dashed; */
}

/* hide the sub levels and give them a positon absolute so that they take up no room */
.menu ul ul {
  visibility:hidden;
  position:absolute;
  text-decoration:none;
  height:0;
  top:1.3em;
  left:0;
}

/* style the second level links */
.menu ul ul a,
.menu ul ul a:visited {
  background:#f0f0ff;
  color:navy;
  font-family: sans-serif;
  border-bottom: 1px solid #cccccc;
  height:auto;
  line-height:1em;
  padding:0.2em 0.3em;
  width:13em;
  border: thin solid #cccccc;
  border-collapse:collapse;
}

/* style the top level hover */
.menu :hover > a,
.menu ul ul :hover > a,
.menu a:hover,
.menu ul ul a:hover {
  background-color:#3050c0;
  color:#f0f0a0;
  text-decoration:none;
}

/* make the second level visible when hover on first level list OR link */
.menu ul li:hover ul,
.menu ul a:hover ul{
  visibility:visible;
}

